> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/extranet-b2b-monitoring/peering-service/service-customer-list

> Get b2b extranet peering service customer list within a time window

## OpenAPI

````json POST /v1/extranet-b2b-monitoring/peering-service/service-customer-list
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/extranet-b2b-monitoring/peering-service/service-customer-list": {
      "post": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/v1ExtranetB2bMonitoringPeeringServiceServiceCustomerListPostRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1ExtranetB2bMonitoringPeeringServiceServiceCustomerListPostResponse"
                }
              }
            }
          }
        },
        "description": "Get b2b extranet peering service customer list within a time window"
      }
    }
  },
  "components": {
    "schemas": {
      "v1ExtranetB2bMonitoringPeeringServiceServiceCustomerListPostRequest": {
        "type": "object",
        "properties": {
          "id": {
            "type": "integer",
            "format": "int64",
            "example": 1,
            "description": "service id (required)"
          },
          "isProvider": {
            "type": "boolean",
            "example": true,
            "description": "whether the entity is a provider or consumer (required)"
          },
          "timeWindow": {
            "$ref": "#/components/schemas/statsmonTimeWindow"
          }
        },
        "additionalProperties": false,
        "required": [
          "id",
          "isProvider",
          "timeWindow"
        ]
      },
      "v1ExtranetB2bMonitoringPeeringServiceServiceCustomerListPostResponse": {
        "type": "object",
        "properties": {
          "customerName": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string",
              "description": "the list of customer names"
            }
          }
        },
        "additionalProperties": false
      },
      "statsmonTimeWindow": {
        "type": "object",
        "properties": {
          "bucketSizeSec": {
            "type": "integer",
            "format": "int32",
            "example": 300,
            "minimum": 0,
            "description": "the size of the time window in seconds (required)"
          },
          "oldTs": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "recentTs": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          }
        },
        "additionalProperties": false,
        "required": [
          "bucketSizeSec"
        ]
      },
      "googleProtobufTimestamp": {
        "type": "object",
        "properties": {
          "nanos": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "seconds": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

